<p>;*****************************************************************</p><p>; 008</p><p>; Automatic coordinate labeling</p><p>; Edwin Prakoso</p><p>; http://cad-notes.com</p><p>;</p><p>; Limitation Will use current leader style </p><p>; and current units setting</p><p>;</p><p>;*****************************************************************</p><p>;*****************************************************************</p><p>; </p><p>;</p><p>;</p><p>;</p><p>; lbxy</p><p>;</p><p>;</p><p>;</p><p>;</p><p>(defun c:lbxy (/ p x y ptcoord textloc)</p><p> (while</p><p> (setq p (getpoint "\nPick Point: "))</p><p> (setq textloc (getpoint "\nPick Label Location: "))</p><p> (setq x (rtos (car p)))</p><p> (setq y (rtos (cadr p)))</p><p> (setq ptcoord (strcat x ", " y))</p><p> (command "_LEADER" p textloc "" ptcoord "")</p><p> )</p><p>)</p><p>;</p><p>[code]</p>